Package com.enonic.xp.content

## Class CreateMediaParams

- java.lang.Object
- - com.enonic.xp.content.CreateMediaParams

-     @PublicApi
      public final class CreateMediaParams
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreateMediaParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateMediaParams` | `altText​(String altText)` |
    `CreateMediaParams` | `artist​(String artist)` |
    `CreateMediaParams` | `byteSource​(ByteSource value)` |
    `CreateMediaParams` | `caption​(String caption)` |
    `CreateMediaParams` | `copyright​(String copyright)` |
    `boolean` | `equals​(Object o)` |
    `CreateMediaParams` | `focalX​(double focalX)` |
    `CreateMediaParams` | `focalY​(double focalY)` |
    `String` | `getAltText()` |
    `String` | `getArtist()` |
    `ByteSource` | `getByteSource()` |
    `String` | `getCaption()` |
    `String` | `getCopyright()` |
    `double` | `getFocalX()` |
    `double` | `getFocalY()` |
    `String` | `getMimeType()` |
    `String` | `getName()` |
    `ContentPath` | `getParent()` |
    `String` | `getTags()` |
    `int` | `hashCode()` |
    `CreateMediaParams` | `mimeType​(String value)` |
    `CreateMediaParams` | `name​(String value)` |
    `CreateMediaParams` | `parent​(ContentPath value)` |
    `CreateMediaParams` | `tags​(String tags)` |
    `void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateMediaParams

          public CreateMediaParams()

  - ### Method Detail

    - #### parent

          public CreateMediaParams parent​(ContentPath value)

    - #### name

          public CreateMediaParams name​(String value)

    - #### mimeType

          public CreateMediaParams mimeType​(String value)

    - #### byteSource

          public CreateMediaParams byteSource​(ByteSource value)

    - #### focalX

          public CreateMediaParams focalX​(double focalX)

    - #### focalY

          public CreateMediaParams focalY​(double focalY)

    - #### caption

          public CreateMediaParams caption​(String caption)

    - #### altText

          public CreateMediaParams altText​(String altText)

    - #### artist

          public CreateMediaParams artist​(String artist)

    - #### copyright

          public CreateMediaParams copyright​(String copyright)

    - #### tags

          public CreateMediaParams tags​(String tags)

    - #### validate

          public void validate()

    - #### getParent

          public ContentPath getParent()

    - #### getName

          public String getName()

    - #### getMimeType

          public String getMimeType()

    - #### getByteSource

          public ByteSource getByteSource()

    - #### getFocalX

          public double getFocalX()

    - #### getFocalY

          public double getFocalY()

    - #### getCaption

          public String getCaption()

    - #### getAltText

          public String getAltText()

    - #### getArtist

          public String getArtist()

    - #### getCopyright

          public String getCopyright()

    - #### getTags

          public String getTags()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`